RK-J - Bug #2630
Task # 2624 (Closed): It should be possible to have multiple books with same name

Bug # 2628 (Closed): Ensure 2624 in Dev & Prod

Ensure 2624 in Dev
09/26/2022 12:15 PM - Ayush Khandelwal

Status: Closed Start date: 09/26/2022
Priority: High Due date: 10/28/2022
Assignee: Ayush Khandelwal % Done: 100%
Category: Estimated time: 2.00 hours
Target version: 1-RK-J-1 Spent time: 0.00 hour
Description

If the book sitemap is not present during the overwrite on the dev environment then it should not fail & also don't do the sitemap
operation.

History

#1 - 09/26/2022 12:20 PM - Ayush Khandelwal

- Description updated

#2 - 09/26/2022 01:08 PM - Ayush Khandelwal

- Description updated

#3 - 09/26/2022 01:11 PM - Venmuhilan B

- Status changed from New to In Progress

#4 - 09/27/2022 09:26 AM - Venmuhilan B
- Status changed from In Progress to Resolved

- % Done changed from 0 to 100

#5 - 10/18/2022 03:50 AM - Ayush Khandelwal
- Status changed from Resolved to Feedback

- Assignee changed from Venmuhilan B to Ayush Khandelwal

#6 - 10/26/2022 08:33 AM - Ayush Khandelwal
- Status changed from Feedback to Reopened
- Assignee changed from Ayush Khandelwal to Venmuhilan B

- % Done changed from 100 to 50

Not working for the: https://edutestdev-240612.appspot.com/admin/sitemap/createSiteMap

#7 - 10/26/2022 08:33 AM - Ayush Khandelwal
- Due date changed from 09/26/2022 to 10/28/2022

#8 - 10/26/2022 09:05 AM - Venmuhilan B

- Status changed from Reopened to In Progress

#9 - 10/27/2022 05:12 AM - Venmuhilan B
- Status changed from In Progress to Resolved

- % Done changed from 50 to 100

Added version to the sitemap filename( sitemap-{s}-{book}-{version}.xml ) for /createSiteMap API

#10 - 10/28/2022 10:59 AM - Venmuhilan B
https://edutestdev-240612.appspot.com/admin/sitemap/createSiteMap

- File Screenshot from 2022-10-28 14-52-45.png added

Adding a version to the sitemap filename for /createSiteMap API is working as expected on QA.

But this exception- com.google.cloud.datastore.DatastoreException: The datastore operation timed out, or the data was temporarily
unavailable. is occurred during the sitemap creation of Library reference(

sitemap-python-3-library-reference-prd.xml)

at ai.rapidken.edutest.globalconfig.dao.SitemapContentDao.getLurls(SitemapContentDao.java:84)

at ai.rapidken.edutest.globalconfig.service.SitemapService.getLUrls(SitemapService.java:57)

at ai.rapidken.edutest.globalconfig.service.SitemapService.createAndUploadSitemapFileForBook(SitemapService.java:174)

at ai.rapidken.edutest.globalconfig.controller.SitemapController.createSiteMap(SitemapController.java:78)

#11 - 10/28/2022 11:03 AM - Venmuhilan B
- Status changed from Resolved to Feedback

- Assignee changed from Venmuhilan B to Ayush Khandelwal

#12 - 10/28/2022 11:03 AM - Ayush Khandelwal
- Status changed from Feedback to Closed

Working as expected

Files

Screenshot from 2022-10-28 14-52-45.png 105 KB 10/28/2022 Venmuhilan B
